summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorGrzegorz Bizon <grzegorz@gitlab.com>2018-02-21 09:48:56 +0000
committerRémy Coutable <remy@rymai.me>2018-02-21 15:21:05 +0100
commit5ccd3bec955c1869ad621d352c6509365f2077dc (patch)
tree50083027987f71ac88d2d4b9151fa00794256e12 /scripts
parent6d2a5f044f82f9500e8694a848125f976cb6d189 (diff)
downloadgitlab-ce-5ccd3bec955c1869ad621d352c6509365f2077dc.tar.gz
Merge branch 'improve-codequality-job' into 'master'improve-codequality-job
Simplify the codequality job See merge request gitlab-org/gitlab-ee!4602
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/codequality18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/codequality b/scripts/codequality
new file mode 100755
index 00000000000..9fa692999f3
--- /dev/null
+++ b/scripts/codequality
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -eo pipefail
+
+code_path=$(pwd)
+
+# docker run --tty will merge stderr and stdout, we don't need this on CI or
+# it will break codequality json file
+[ "$CI" != "" ] || docker_tty="--tty"
+
+docker pull dev.gitlab.org:5005/gitlab/gitlab-build-images:gitlab-codeclimate-rubocop-0-52-1 > /dev/null
+docker tag dev.gitlab.org:5005/gitlab/gitlab-build-images:gitlab-codeclimate-rubocop-0-52-1 codeclimate/codeclimate-rubocop:gitlab-codeclimate-rubocop-0-52-1 > /dev/null
+
+exec docker run --rm $docker_tty --env CODECLIMATE_CODE="$code_path" \
+ --volume "$code_path":/code \
+ --volume /var/run/docker.sock:/var/run/docker.sock \
+ --volume /tmp/cc:/tmp/cc \
+ "codeclimate/codeclimate:${CODECLIMATE_VERSION:-0.71.1}" "$@"